
Redmine - Patch #19548

Add link to reported issues on users's profile page

2015-04-02 05:15 - Go MAEDA

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category: Issues Estimated time: 0.00 hour

Target version:    

Description

In user's profile page, we can know the user's activity and numbers of reported issues.

I think it would be great if we can know not only the number of reported issues but also a list of reported issues.

This patch adds a link to reported issues on user's profile page.

In addition, this patch provides a means to get a list of issues reported by non-members. Because they are not listed in drop-down in

issues filter, there is no means to get a list of issues reported by non-member. With this patch, we can get the list in some clicks.
Related issues:

Related to Redmine - Feature #3398: Link to assigned issues on user profiles Closed 2009-05-20

History

#1 - 2015-04-08 09:36 - Rafał Lisowski

- File Zaznaczenie_101.png added

why you don't use widget for "My page"?

#2 - 2015-04-08 10:21 - Go MAEDA

Rafał Lisowski wrote:

why you don't use widget for "My page"?

 Thanks for the comment.

On "My Page", I can see MY reported issues but cannot see YOUR reported issues.

For example, It is not so easy to see someone's reported issues on www.redmine.org. Most users except "Contributers" are in the "Non member" role,

they cannot be seen in "Assignee" filter.

#3 - 2015-04-29 08:53 - Go MAEDA

- Target version set to Candidate for next major release

#4 - 2015-07-26 07:02 - Go MAEDA

- Related to Feature #3398: Link to assigned issues on user profiles added

#5 - 2015-10-22 00:04 - Go MAEDA

- Category changed from UI to Issues

- Status changed from New to Closed

- Target version deleted (Candidate for next major release)

#3398 also implemented this feature.
